html
    head
        title Backend Skarlat API
        link(href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css', rel='stylesheet')
        link(href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css', rel='stylesheet')
        style
            include style.css
    body
        div(class="container")
            div(class="row")
                div(class="col-md-3")
                    img(
                        class="burger-center", 
                        src='https://assets.agentpekka.com/wp-content/uploads/2015/06/AP_Robin_Davey_burger-640x640.gif')
                div(class="col-md-9")
                    h1(class='text-center') Burgers API

            p(class="doc")
                strong Documentation

            h2 Root Endpoint
            kbd https://backend-skarlat.herokuapp.com/api/v1/

            hr

            h2 Parameters
            p All parameters are optional 
            kbd https://backend-skarlat.herokuapp.com/api/v1/burgers?burger_name=c&per_page=2

            hr

            h2 Pagination
            p. 
                Requests that return multiple items will be limited to 1 results by default.
                You can access other pages using the #[kbd ?page] paramater, you can also increase
                the amount of burgers returned in each request by changing the #[kbd ?per_page] paramater.
            
            kbd https://backend-skarlat.herokuapp.com/api/v1/burgers?page=1&per_page=4

            hr

            h2 Get Burgers
            p Gets burgers from the api, you can apply several filters using url paramaters, the available options are listed below.
            kbd https://backend-skarlat.herokuapp.com/api/v1/burgers
            hr

            table(class="table table-bordered")
                thead
                    tr
                        td Param
                        td Type
                        td Details
                tbody
                    tr
                        td burger_name
                        td string
                        td Returns all burgers matching the supplied name

            hr
            h2 Get a Single Burger
            p Gets a burger from the api using the burger id.
            kbd https://backend-skarlat.herokuapp.com/api/v1/burger/5a0198f9a2878f1af4a4d3bb

            hr
            h2 Get Random Burger
            p Gets a random burger from the API, this takes no paramaters.
            kbd https://backend-skarlat.herokuapp.com/api/v1/burgers/random

            hr
            h2 Add Burger
            p Send post to method with json 
            kbd https://backend-skarlat.herokuapp.com/api/v1/burgers/create

            hr
            h2 Example Response
            p All burgers endpoints return a json array with a number of burger objects inside.
            pre.
                {
                    "burgers": [
                        {
                        "_id": "5a0343c1b5192f093473ee81",
                        "__v": 0,
                        "name": "Cheeseburger",
                        "description": "A Cheeseburger is typically beef hamburger topped with cheese. Traditionally, the slice of cheese is placed on top of the meat patty, but the burger can include many variations in structure, ingredients, and composition. The cheese is normally added to the cooking hamburger patty shortly before serving, which allows the cheese to melt. As with other hamburgers, a cheeseburger may include toppings, such as lettuce, tomato, onion, pickles, mustard, mayonnaise, ketchup, or bacon.",
                        "image_url": "https://upload.wikimedia.org/wikipedia/commons/4/4d/Cheeseburger.jpg",
                        "calories": 295
                        },
                        {
                        "_id": "5a034404b5192f093473ee83",
                        "__v": 0,
                        "name": "Chicken sandwich",
                        "description": "In North America, a chicken sandwich is a sandwich which typically consists of a boneless, skinless breast of chicken served between slices of bread, on a bun, or on a roll. Variations of what North Americans consider a Chicken Sandwich include the chicken burger or chicken on a bun, hot chicken, and chicken salad sandwich. Countries outside North America generally consider a chicken sandwich to only consist of flat bread, whereas a chicken burger is defined by the use of bread buns with chicken as part of its content.",
                        "image_url": "https://upload.wikimedia.org/wikipedia/commons/1/1f/Chicken_salad_sandwich_01.jpg",
                        "calories": 345
                        }
                    ]
                    }

            p(class="text-center") Made by #[a(href="https://gitlab.com/evgeny.skarlat") @evgeny.skarlat ]


        script(src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js")
